Class UploadBuilder


The request builder returned by DbxUserFilesRequests.uploadBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withMode

      public UploadBuilder withMode(WriteMode mode)
      Set value for optional field.

      If left unset or set to null, defaults to WriteMode.ADD.

      Parameters:
      mode - Selects what to do if the file already exists. Must not be null. Defaults to WriteMode.ADD when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withAutorename

      public UploadBuilder withAutorename(Boolean autorename)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      autorename - If there's a conflict, as determined by CommitInfo.getMode(), have the Dropbox server try to autorename the file to avoid conflict. Defaults to false when set to null.
      Returns:
      this builder
    • withClientModified

      public UploadBuilder withClientModified(Date clientModified)
      Set value for optional field.
      Parameters:
      clientModified - The value to store as the CommitInfo.getClientModified() timestamp. Dropbox automatically records the time at which the file was written to the Dropbox servers. It can also record an additional timestamp, provided by Dropbox desktop clients, mobile clients, and API apps of when the file was actually created or modified.
      Returns:
      this builder
    • withMute

      public UploadBuilder withMute(Boolean mute)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      mute - Normally, users are made aware of any file modifications in their Dropbox account via notifications in the client software. If true, this tells the clients that this modification shouldn't result in a user notification. Defaults to false when set to null.
      Returns:
      this builder
    • withPropertyGroups

      public UploadBuilder withPropertyGroups(List<PropertyGroup> propertyGroups)
      Set value for optional field.
      Parameters:
      propertyGroups - List of custom properties to add to file. Must not contain a null item.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withStrictConflict

      public UploadBuilder withStrictConflict(Boolean strictConflict)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      strictConflict - Be more strict about how each WriteMode detects conflict. For example, always return a conflict error when CommitInfo.getMode() = WriteMode.getUpdateValue() and the given "rev" doesn't match the existing file's "rev", even if the existing file has been deleted. This also forces a conflict even when the target path refers to a file with identical contents. Defaults to false when set to null.
      Returns:
      this builder
    • withContentHash

      public UploadBuilder withContentHash(String contentHash)
      Set value for optional field.
      Parameters:
      contentHash - A hash of the file content uploaded in this call. If provided and the uploaded content does not match this hash, an error will be returned. For more information see our Content hash page. Must have length of at least 64 and have length of at most 64.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • start

      Description copied from class: DbxUploadStyleBuilder
      Begins the upload request using this builder's request parameters and returns a DbxUploader for writing the request body. Callers can complete the request by writing the upload data to the OutputStream returned by DbxUploader.getOutputStream() and receiving the server response using DbxUploader.finish(). See DbxUploadStyleBuilder.uploadAndFinish(java.io.InputStream) convenience method for a simpler way to complete the request.
      Specified by:
      start in class DbxUploadStyleBuilder<FileMetadata,UploadError,UploadErrorException>
      Returns:
      DbxUploader used to upload data and complete the request
      Throws:
      DbxException - if an error occursing initializing the request
      UploadErrorException